Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.web
[Groovy] Class ServletsGrailsPlugin

    java.lang.Object
      org.codehaus.groovy.grails.plugins.web.ServletsGrailsPlugin

    class ServletsGrailsPlugin

Adds methods to the Servlet API interfaces to make them more Grailsy. For example all classes that implement HttpServletRequest will get new methods that allow access to attributes via subscript operator.

Authors:
  Graeme Rocher

Since:
  0.5.5

Property Summary
`java.lang.Object` | `dependsOn`
`java.lang.Object` | `doWithDynamicMethods`
`java.lang.Object` | `version`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### dependsOn

    java.lang.Object dependsOn

### doWithDynamicMethods

    java.lang.Object doWithDynamicMethods

### version

    java.lang.Object version

Groovy Documentation